Reactions

The Reactions API enables you to create, list and delete reactions.

React to post

Add reaction to a post on behalf of the authenticated user.

POST /api/posts/{id}/reactions
Path parameters
id integer required

Post id.

Body parameters
content string required

A single emoji character describing the reaction, e.g. '👍' or '❤️'.

Example request
curl {WEAVY-URL}/api/posts/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN}"
--json "{ 'content': '😍' }"
Response codes

204 No Content
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found
422 Validation Failed

React to comment

Add reaction to a comment on behalf of the authenticated user.

POST /api/comments/{id}/reactions
Path parameters
id integer required

Comment id.

Body parameters
content string required

A single emoji character describing the reaction, e.g. '👍' or '❤️'.

Example request
curl {WEAVY-URL}/api/comments/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN}"
--json "{ 'content': '😍' }"
Response codes

204 No Content
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found
422 Validation Failed

React to message

Add reaction to a message on behalf of the authenticated user.

POST /api/messages/{id}/reactions
Path parameters
id integer required

Message id.

Body parameters
content string required

A single emoji character describing the reaction, e.g. '👍' or '❤️'.

Example request
curl {WEAVY-URL}/api/messages/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN}"
--json "{ 'content': '😍' }"
Response codes

204 No Content
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found
422 Validation Failed

List post reactions

List reactions for a post.

GET /api/posts/{id}/reactions
Path parameters
id integer required

Post id.

Query parameters
content string

Lists reactions with the specified emoji character. Omit this parameter to list all reactions.

tag array of strings

List items with the specified tags. May be specified multiple times to list items matching any of the given tags, e.g. tag=a&tag=b.

trashed boolean

Indicates whether trashed items should be listed (default is false). Specify null to list both trashed and non-trashed items.

order_by string

Specifies the sort order and direction for the listing, e.g. order_by=id or order_by=id+desc.

skip string

The number of items to skip. Used together with take to return a specific range of items (for pagination).

take string

Maximum number of items to return in the listing. Should be a value between 1 and 100. Default is 25.

count_only boolean

true to count the number of matching items instead of listing them; when specified the response will only contain the count property.

Example request
curl {WEAVY-URL}/api/posts/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN | API-KEY}"
Response codes

200 OK
401 Unauthorized
404 Not Found

Response schema
{
  "data": [
    {
      "content": "string",
      "created_at": "string"
    }
  ],
  "start": "string",
  "end": "string",
  "count": "string"
}

List comment reactions

List reactions for a comment.

GET /api/comments/{id}/reactions
Path parameters
id integer required

Comment id.

Query parameters
content string

Lists reactions with the specified emoji character. Omit this parameter to list all reactions.

tag array of strings

List items with the specified tags. May be specified multiple times to list items matching any of the given tags, e.g. tag=a&tag=b.

trashed boolean

Indicates whether trashed items should be listed (default is false). Specify null to list both trashed and non-trashed items.

order_by string

Specifies the sort order and direction for the listing, e.g. order_by=id or order_by=id+desc.

skip string

The number of items to skip. Used together with take to return a specific range of items (for pagination).

take string

Maximum number of items to return in the listing. Should be a value between 1 and 100. Default is 25.

count_only boolean

true to count the number of matching items instead of listing them; when specified the response will only contain the count property.

Example request
curl {WEAVY-URL}/api/comments/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN | API-KEY}"
Response codes

200 OK
401 Unauthorized
404 Not Found

Response schema
{
  "data": [
    {
      "content": "string",
      "created_at": "string"
    }
  ],
  "start": "string",
  "end": "string",
  "count": "string"
}

List message reactions

List reactions for a message.

GET /api/messages/{id}/reactions
Path parameters
id integer required

Message id.

Query parameters
content string

Lists reactions with the specified emoji character. Omit this parameter to list all reactions.

tag array of strings

List items with the specified tags. May be specified multiple times to list items matching any of the given tags, e.g. tag=a&tag=b.

trashed boolean

Indicates whether trashed items should be listed (default is false). Specify null to list both trashed and non-trashed items.

order_by string

Specifies the sort order and direction for the listing, e.g. order_by=id or order_by=id+desc.

skip string

The number of items to skip. Used together with take to return a specific range of items (for pagination).

take string

Maximum number of items to return in the listing. Should be a value between 1 and 100. Default is 25.

count_only boolean

true to count the number of matching items instead of listing them; when specified the response will only contain the count property.

Example request
curl {WEAVY-URL}/api/messages/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN | API-KEY}"
Response codes

200 OK
401 Unauthorized
404 Not Found

Response schema
{
  "data": [
    {
      "content": "string",
      "created_at": "string"
    }
  ],
  "start": "string",
  "end": "string",
  "count": "string"
}

Unreact to post

Delete authenticated user's reaction to a post.

DELETE /api/posts/{id}/reactions
Path parameters
id integer required

Post id.

Example request
curl -X DELETE {WEAVY-URL}/api/posts/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN}"
Response codes

204 No Content
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found

Unreact to comment

Delete authenticated user's reaction to a comment.

DELETE /api/comments/{id}/reactions
Path parameters
id integer required

Comment id.

Example request
curl -X DELETE {WEAVY-URL}/api/comments/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN}"
Response codes

204 No Content
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found

Unreact to message

Delete authenticated user's reaction to a message.

DELETE /api/messages/{id}/reactions
Path parameters
id integer required

Message id.

Example request
curl -X DELETE {WEAVY-URL}/api/messages/1/reactions
-H "Authorization: Bearer {ACCESS-TOKEN}"
Response codes

204 No Content
400 Bad Request
401 Unauthorized
403 Forbidden
404 Not Found